# Class MatcherUsage

java.lang.Object
uk.ac.starlink.ttools.build.MatcherUsage

public class MatcherUsage extends Object

## Constructor Summary

Constructors
Constructor
Description
`MatcherUsage(String matcherName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRawUsage()`
`String`
`getXMLUsage()`
`static void`
`main(String[] args)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MatcherUsage

public MatcherUsage(String matcherName) throws uk.ac.starlink.task.UsageException

Throws:
  `uk.ac.starlink.task.UsageException`

## Method Details

### getRawUsage

public String getRawUsage() throws Exception

Throws:
  `Exception`

### getXMLUsage

public String getXMLUsage() throws Exception

Throws:
  `Exception`

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`